PHP ��U
前一頁 |  | 下一頁

# ZipArchive::extractTo

(no version information, might be only in CVS)

ZipArchive::extractTo -- Extract the archive contents

## Description

mixed ZipArchive::extractTo ( string destination [, mixed entries] )

Extract the complete archive or the given files to the specified destination.

## Parameters

destination

  Location where to extract the files.

entries

  The entries to extract. It accepts either a single entry name or an array of names.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

This example opens a ZIP file archive, reads each file in the archive and prints out its contents. The `test2.zip` archive used in this example is one of the test archives in the ZZIPlib source distribution.

範例 1. Extract all entries
`<?php $zip = new ZipArchive; if ($zip->open('test.zip') === TRUE) { $zip->extractTo('/my/destination/dir/'); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

範例 2. Extract only tow entries
`<?php $zip = new ZipArchive; $res = $zip->open('test_im.zip'); if ($res === TRUE) { $zip->extractTo('/my/destination/dir/', array('pear_item.gif', 'testfromfile.php')); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

前一頁 | 內容 | 下一頁
ZipArchive::deleteName | 上一層 | ZipArchive::getArchiveComment